Embeddings

POST
/v1/embeddings

Generates an embedding vector representing the input text.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.vivgrid.com/v1/embeddings" \  -H "Content-Type: application/json" \  -d '{    "model": "BAAI/bge-m3",    "input": "The quick brown fox jumped over the lazy dog",    "encoding_format": "float"  }'
{
  "object": "list",
  "data": [
    {
      "object": "embedding",
      "index": 0,
      "embedding": [
        0.0139,
        -0.0021,
        0.0012
      ]
    }
  ],
  "model": "BAAI/bge-m3",
  "usage": {
    "prompt_tokens": 9,
    "total_tokens": 9
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}